API reference
Add to the shortlist
Puts people the project’s searches found on its shortlist, by candidate id. Does not use shortlist credits.
Needs scope shortlists:write.
POST
/
projects
/
{projectId}
/
shortlist
/
members
Add to the shortlist
curl --request POST \
--url https://api.revcenter.ai/v1/projects/{projectId}/shortlist/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidate_ids": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({candidate_ids: ['<string>']})
};
fetch('https://api.revcenter.ai/v1/projects/{projectId}/shortlist/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/projects/{projectId}/shortlist/members"
payload = { "candidate_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": "<unknown>",
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}⌘I
Add to the shortlist
curl --request POST \
--url https://api.revcenter.ai/v1/projects/{projectId}/shortlist/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"candidate_ids": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({candidate_ids: ['<string>']})
};
fetch('https://api.revcenter.ai/v1/projects/{projectId}/shortlist/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/projects/{projectId}/shortlist/members"
payload = { "candidate_ids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": "<unknown>",
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}